# Created by pyp2rpm-3.3.2
%global pypi_name discover
%define pypi_url https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n::1})/%{pypi_name}

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 3
Summary:        Test discovery for unittest. Backported from Python 2
Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/discover/
Source0:        %{pypi_url}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This is the test discovery mechanism and load_tests protocol for unittest
backported from Python 2.7 to work with Python 2.4 or more recent (including
Python 3)... note:: Test discovery is just part of what is new in unittest in
Python 2.7. All of the new features have been backported to run on Python
2.4-2.6, including test discovery. This is the unittest2 package < can be
installed with pip...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
This is the test discovery mechanism and load_tests protocol for unittest
backported from Python 2.7 to work with Python 2.4 or more recent (including
Python 3)... note:: Test discovery is just part of what is new in unittest in
Python 2.7. All of the new features have been backported to run on Python
2.4-2.6, including test discovery. This is the unittest2 package < can be
installed with pip...


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.txt
%{_bindir}/discover
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.4.0-3.mga8
+ Revision: 1535545
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.4.0-2.mga8
+ Revision: 1452153
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 kekepower <kekepower> 0.4.0-1.mga7
+ Revision: 1352360
- imported package python-discover

